﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000 (1 yr) Baud Rate VER IEEE /9500/600
DATE:                  2010-11-29 10:49:25
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       506
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA7000B, DPO/DSA7000, MSO70000
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO70000 Channel Selection IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST
  1.002  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.003  RSLT         =
  1.004  RSLT         =BAUD RATE LIMITS
  1.005  RSLT         =
  1.006  HEAD         { Signal path 0, Pattern Matching 1}
  1.007  HEAD         -2 Trigger 1 UI before 0
  1.008  TARGET
  1.009  IEEE2        ACQ:STATE ON
  1.010  IEEE2        CH[V @Chan]:SCA 50E-3
  1.011  IEEE2        HOR:SCA 1E-9
  1.012  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PK2P;STATE ON
  1.013  IEEE2        ACQ:MODE AVE;NUMAV 64
# 9500 output 4 division of amplitude centered on the display.
  1.014  MATH         MEM = 200; MEM1 = MEM

  1.015  DO
  1.016  MATH         MEM = MEM1 + (200 - MEM) / 2

  1.017  IF           MEM > 4000 || MEM < 50
  1.018  MATH         MEM = 200
  1.019  ENDIF

  1.020  9500         mVpp                         416MH          LS    S  L
  1.021  WAIT         -t 3 DUT Settling...
  1.022  IEEE2        TRIG:A SETL
  1.023  IEEE2        MEASU:STATI:COUNT RESET
  1.024  IEEE2        MEASU:STATI:MODE ALL
  1.025  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  1.026  MATH         MEM = MEM * 1E+3
  1.027  UNTIL        (MEM >= 199) && (MEM <= 201)

# Restore the calibrator output value.
  1.028  MATH         Vsour = MEM1
# trigger level at 25% (-1 division) on sine wave.
  1.029  MATH         MEM = (MEM * 1E-3) / 4
  1.030  MATH         MEM = 0 - MEM
# Set the cursor.
  1.031  IEEE2        TRIG:A:LEV [MEM]
  1.032  IEEE2        CURS:STATE ON
  1.033  IEEE2        CURS:SOU CH[V @Chan]
  1.034  IEEE2        CURS:FUNC WAVE
# Set trigger mode.
  1.035  IEEE2        TRIG:A:TYP SERIAL
  1.036  IEEE2        TRIG:A:SERIAL:COD NRZ
  1.037  IEEE2        TRIG:A:SERIAL:DAT:FORM HEX
  1.038  IEEE2        TRIG:A:SERIAL:SOU CH[V @Chan]
  1.039  IEEE2        TRIG:A:SERIAL:STAN ENET1250
  1.040  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "B6DB 6DB6 DB6D B6DB"
  1.041  WAIT         -t 10 DUT Settling...
# Move Cursors to Center
  1.042  IEEE2        CURS:WAVE:POSITION1 0
  1.043  IEEE2        CURS:WAVE:POSITION2 800E-12
  1.044  IEEE2        CURS:MOD TRACK
# Check the trigger status. If the DUT doesn't triggered, test will failed.
  1.045  IEEE2        TRIG:STATE?[I$]
  1.046  MATH         Triggered = FINDI(MEM2, "TRIG", 1)

  1.047  IF           Triggered
  1.048  IEEE2        ACQ:STATE OFF
# Center cursor 2 in the low of the waveform just to the right of the center
# graticule line. Cursor2's vertial position is initially located at negative
# part of waveform.
  1.049  WAIT         -t 2 DUT Stabilizing...
  1.050  IEEE2        CURS:WAVE:HPOS2?[I]
  1.051  MATH         FirVal = MEM
  1.052  IEEE2        CURS:WAVE:POS1 30E-12
  1.053  WAIT         [D1000]
  1.054  IEEE2        CURS:WAVE:HPOS2?[I]
  1.055  MATH         SecVal = MEM

  1.056  IF           FirVal > SecVal
  1.057  MATH         Increment = 30E-12
  1.058  ELSE
  1.059  MATH         Increment = -30E-12
  1.060  ENDIF

  1.061  IEEE2        CURS:WAVE:POS1 0
  1.062  MATH         L[2] = 0
  1.063  IEEE2        CURS:WAVE:HPOS2?[I]
  1.064  MATH         MEM = MEM * 1E+3
  1.065  MATH         LastVal = MEM

  1.066  DO
  1.067  MATH         L[2] = L[2] + Increment
  1.068  IEEE2        CURS:WAVE:POS1 [L2]
  1.069  WAIT         [D1000]
  1.070  IEEE2        CURS:WAVE:HPOS2?[I]
  1.071  MATH         MEM = MEM * 1E+3
  1.072  MATH         Loop = (LastVal > MEM)

  1.073  IF           Loop
  1.074  MATH         LastVal = MEM
  1.075  ELSE
  1.076  MATH         L[2] = L[2] - Increment
  1.077  IEEE2        CURS:WAVE:POS1 [L2]
  1.078  ENDIF

  1.079  UNTIL        NOT(Loop)

  1.080  IEEE2        CURS:WAVE:POS1?[I]
  1.081  MATH         MEM = ABS(MEM * 1E+12)
  1.082  EVAL   -e (MEM <= 200) && Triggered : Trigger 1 UI before 0

# the DUT can't trigger for spcified Serial pattern data.
  2.001  ELSE
  2.002  EVAL   -e Triggered : Trigger 1 UI before 0
  3.001  ENDIF

  3.002  9500         *                                                 S

  3.003  HEAD         -2 Trigger on 0
  3.004  TARGET
  3.005  IEEE2        ACQ:STATE ON
  3.006  MATH         MEM = Vsour
  3.007  9500         mVpp                         416MH          LS    S  L
  3.008  WAIT         -t 3 DUT Settling...
  3.009  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "6DB6 DB6D B6DB 6DB6"
  3.010  WAIT         -t 10 DUT Settling...
  3.011  IEEE2        CURS:WAVE:POSITION1 0
  3.012  IEEE2        CURS:WAVE:POSITION2 800E-12
  3.013  IEEE2        CURS:MOD TRACK
  3.014  IEEE2        TRIG:STATE?[I$]
  3.015  MATH         Triggered = FINDI(MEM2, "TRIG", 1)

  3.016  IF           Triggered
  3.017  IEEE2        ACQ:STATE OFF
# Center the Cursor 1 in the low of the waveform nearest the center graticule
# line. Cursor1's vertial position is initially located at negative part of
# waveform.
  3.018  WAIT         -t 2 DUT Stabilizing...
  3.019  IEEE2        CURS:WAVE:HPOS1?[I]
  3.020  MATH         FirVal = MEM
  3.021  IEEE2        CURS:WAVE:POS1 30E-12
  3.022  WAIT         [D1000]
  3.023  IEEE2        CURS:WAVE:HPOS1?[I]
  3.024  MATH         SecVal = MEM

  3.025  IF           FirVal > SecVal
  3.026  MATH         Increment = 30E-12
  3.027  ELSE
  3.028  MATH         Increment = -30E-12
  3.029  ENDIF

  3.030  IEEE2        CURS:WAVE:POS1 0
  3.031  MATH         L[2] = 0
  3.032  IEEE2        CURS:WAVE:HPOS1?[I]
  3.033  MATH         MEM = MEM * 1E+3
  3.034  MATH         LastVal = MEM

  3.035  DO
  3.036  MATH         L[2] = L[2] + Increment
  3.037  IEEE2        CURS:WAVE:POS1 [L2]
  3.038  WAIT         [D1000]
  3.039  IEEE2        CURS:WAVE:HPOS1?[I]
  3.040  MATH         MEM = MEM * 1E+3
  3.041  MATH         Loop = (LastVal > MEM)

  3.042  IF           Loop
  3.043  MATH         LastVal = MEM
  3.044  ELSE
  3.045  MATH         L[2] = L[2] - Increment
  3.046  IEEE2        CURS:WAVE:POS1 [L2]
  3.047  ENDIF

  3.048  UNTIL        NOT(Loop)

  3.049  IEEE2        CURS:WAVE:POS1?[I]
  3.050  MATH         MEM = ABS(MEM * 1E+12)
  3.051  EVAL   -e (MEM <= 200) && Triggered : Trigger on 0

  4.001  ELSE
  4.002  EVAL   -e Triggered : Trigger on 0
  5.001  ENDIF

  5.002  9500         *                                                 S

  5.003  HEAD         -2 Trigger 1 UI after 0
  5.004  TARGET
  5.005  IEEE2        ACQ:STATE ON
  5.006  MATH         MEM = Vsour
  5.007  9500         mVpp                         416MH          LS    S  L
  5.008  WAIT         -t 3 DUT Settling...
  5.009  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "DB6D B6DB 6DB6 DB6D"
  5.010  WAIT         -t 10 DUT Settling...
  5.011  IEEE2        CURS:WAVE:POSITION1 0
  5.012  IEEE2        CURS:WAVE:POSITION2 800E-12
  5.013  IEEE2        CURS:MOD TRACK
  5.014  IEEE2        TRIG:STATE?[I$]
  5.015  MATH         Triggered = FINDI(MEM2, "TRIG", 1)

  5.016  IF           Triggered
  5.017  IEEE2        ACQ:STATE OFF
# Center Cursor 1 in the low of the waveform just to the left of the center
# graticule line.
  5.018  WAIT         -t 2 DUT Stabilizing...
  5.019  IEEE2        CURS:WAVE:HPOS1?[I]
  5.020  MATH         FirVal = MEM
  5.021  IEEE2        CURS:WAVE:POS1 30E-12
  5.022  WAIT         [D1000]
  5.023  IEEE2        CURS:WAVE:HPOS1?[I]
  5.024  MATH         SecVal = MEM

  5.025  IF           FirVal > SecVal
  5.026  MATH         Increment = 30E-12
  5.027  ELSE
  5.028  MATH         Increment = -30E-12
  5.029  ENDIF

  5.030  IEEE2        CURS:WAVE:POS1 0
  5.031  MATH         L[2] = 0
  5.032  IEEE2        CURS:WAVE:HPOS1?[I]
  5.033  MATH         MEM = MEM * 1E+3
  5.034  MATH         LastVal = MEM

  5.035  DO
  5.036  MATH         L[2] = L[2] + Increment
  5.037  IEEE2        CURS:WAVE:POS1 [L2]
  5.038  WAIT         [D1000]
  5.039  IEEE2        CURS:WAVE:HPOS1?[I]
  5.040  MATH         MEM = MEM * 1E+3
  5.041  MATH         Loop = (LastVal > MEM)

  5.042  IF           Loop
  5.043  MATH         LastVal = MEM
  5.044  ELSE
  5.045  MATH         L[2] = L[2] - Increment
  5.046  IEEE2        CURS:WAVE:POS1 [L2]
  5.047  ENDIF

  5.048  UNTIL        NOT(Loop)

  5.049  IEEE2        CURS:WAVE:POS2?[I]
  5.050  MATH         MEM = ABS(MEM * 1E+12)
  5.051  EVAL   -e (MEM <= 200) && Triggered : Trigger 1 UI after 0

  6.001  ELSE
  6.002  EVAL   -e Triggered : Trigger 1 UI after 0

  7.001  ENDIF

  7.002  9500         *                                                 S

  7.003  RSLT         =
  7.004  HEAD         { Signal path 1, Pattern Matching 1}
  7.005  HEAD         -2 Trigger 1 UI before 1
  7.006  TARGET
  7.007  IEEE2        ACQ:STATE ON
  7.008  MATH         MEM = Vsour
  7.009  9500         mVpp                         416MH          LS    S  L
  7.010  WAIT         -t 3 DUT Settling...
  7.011  IEEE2        TRIG:A SETL
  7.012  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PK2P;STATE ON
  7.013  IEEE2        MEASU:STATI:COUNT RESET
  7.014  IEEE2        MEASU:STATI:MODE ALL
  7.015  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
# trigger level at 75% (1 division) on sine wave.
  7.016  MATH         MEM = MEM  / 4
# Set the cursor.
  7.017  IEEE2        TRIG:A:LEV [MEM]
# Set the serial trigger word recognizer data.
  7.018  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "4924 9249 2492 4924"
  7.019  WAIT         -t 10 DUT Settling...
# Move Cursors to Center
  7.020  IEEE2        CURS:WAVE:POSITION1 0
  7.021  IEEE2        CURS:WAVE:POSITION2 800E-12
  7.022  IEEE2        CURS:MOD TRACK
  7.023  IEEE2        TRIG:STATE?[I$]
  7.024  MATH         Triggered = FINDI(MEM2, "TRIG", 1)

  7.025  IF           Triggered
  7.026  IEEE2        ACQ:STATE OFF
# Center Cursor 2 in the high of the waveform just to the right of the center
# graticule line.
  7.027  WAIT         -t 2 DUT Stabilizing...
  7.028  IEEE2        CURS:WAVE:HPOS2?[I]
  7.029  MATH         FirVal = MEM
  7.030  IEEE2        CURS:WAVE:POS1 30E-12
  7.031  WAIT         [D1000]
  7.032  IEEE2        CURS:WAVE:HPOS2?[I]
  7.033  MATH         SecVal = MEM

  7.034  IF           FirVal > SecVal
  7.035  MATH         Increment = -30E-12
  7.036  ELSE
  7.037  MATH         Increment = 30E-12
  7.038  ENDIF

  7.039  IEEE2        CURS:WAVE:POS1 0
  7.040  MATH         L[2] = 0
  7.041  IEEE2        CURS:WAVE:HPOS2?[I]
  7.042  MATH         MEM = MEM * 1E+3
  7.043  MATH         LastVal = MEM

  7.044  DO
  7.045  MATH         L[2] = L[2] + Increment
  7.046  IEEE2        CURS:WAVE:POS1 [L2]
  7.047  WAIT         [D1000]
  7.048  IEEE2        CURS:WAVE:HPOS2?[I]
  7.049  MATH         MEM = MEM * 1E+3
  7.050  MATH         Loop = (LastVal < MEM)

  7.051  IF           Loop
  7.052  MATH         LastVal = MEM
  7.053  ELSE
  7.054  MATH         L[2] = L[2] - Increment
  7.055  IEEE2        CURS:WAVE:POS1 [L2]
  7.056  ENDIF

  7.057  UNTIL        NOT(Loop)

  7.058  IEEE2        CURS:WAVE:POS1?[I]
  7.059  MATH         MEM = ABS(MEM * 1E+12)
  7.060  EVAL   -e (MEM <= 200) && Triggered : Trigger 1 UI before 1

  8.001  ELSE
  8.002  EVAL   -e Triggered : Trigger 1 UI before 1
  9.001  ENDIF

  9.002  9500         *                                                 S

  9.003  HEAD         -2 Trigger on 1
  9.004  TARGET
  9.005  IEEE2        ACQ:STATE ON
  9.006  MATH         MEM = Vsour
  9.007  9500         mVpp                         416MH          LS    S  L
  9.008  WAIT         -t 3 DUT Settling...
  9.009  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "9249 2492 4924 9249"
  9.010  WAIT         -t 10 DUT Settling...
  9.011  IEEE2        CURS:WAVE:POSITION1 0
  9.012  IEEE2        CURS:WAVE:POSITION2 800E-12
  9.013  IEEE2        CURS:MOD TRACK

  9.014  IEEE2        TRIG:STATE?[I$]
  9.015  MATH         Triggered = FINDI(MEM2, "TRIG", 1)

  9.016  IF           Triggered
  9.017  IEEE2        ACQ:STATE OFF
# Center the Cursor 1 in the waveform high nearest the center graticule line.
  9.018  WAIT         -t 2 DUT Stabilizing...
  9.019  IEEE2        CURS:WAVE:HPOS1?[I]
  9.020  MATH         FirVal = MEM
  9.021  IEEE2        CURS:WAVE:POS1 30E-12
  9.022  WAIT         [D1000]
  9.023  IEEE2        CURS:WAVE:HPOS1?[I]
  9.024  MATH         SecVal = MEM

  9.025  IF           FirVal > SecVal
  9.026  MATH         Increment = -30E-12
  9.027  ELSE
  9.028  MATH         Increment = 30E-12
  9.029  ENDIF

  9.030  IEEE2        CURS:WAVE:POS1 0
  9.031  MATH         L[2] = 0
  9.032  IEEE2        CURS:WAVE:HPOS1?[I]
  9.033  MATH         MEM = MEM * 1E+3
  9.034  MATH         LastVal = MEM

  9.035  DO
  9.036  MATH         L[2] = L[2] + Increment
  9.037  IEEE2        CURS:WAVE:POS1 [L2]
  9.038  WAIT         [D1000]
  9.039  IEEE2        CURS:WAVE:HPOS1?[I]
  9.040  MATH         MEM = MEM * 1E+3
  9.041  MATH         Loop = (LastVal < MEM)

  9.042  IF           Loop
  9.043  MATH         LastVal = MEM
  9.044  ELSE
  9.045  MATH         L[2] = L[2] - Increment
  9.046  IEEE2        CURS:WAVE:POS1 [L2]
  9.047  ENDIF

  9.048  UNTIL        NOT(Loop)

  9.049  IEEE2        CURS:WAVE:POS1?[I]
  9.050  MATH         MEM = ABS(MEM * 1E+12)
  9.051  EVAL   -e (MEM <= 200) && Triggered : Trigger on 1

 10.001  ELSE
 10.002  EVAL   -e Triggered : Trigger on 1
 11.001  ENDIF

 11.002  9500         *                                                 S

 11.003  HEAD         -2 Trigger 1 UI after 1
 11.004  TARGET
 11.005  IEEE2        ACQ:STATE ON
 11.006  MATH         MEM = Vsour
 11.007  9500         mVpp                         416MH          LS    S  L
 11.008  WAIT         -t 3 DUT Settling...
 11.009  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "2492 4924 9249 2492"
 11.010  WAIT         -t 10 DUT Settling...
 11.011  IEEE2        CURS:WAVE:POSITION1 0
 11.012  IEEE2        CURS:WAVE:POSITION2 800E-12
 11.013  IEEE2        CURS:MOD TRACK
 11.014  IEEE2        TRIG:STATE?[I$]
 11.015  MATH         Triggered = FINDI(MEM2, "TRIG", 1)

 11.016  IF           Triggered
 11.017  IEEE2        ACQ:STATE OFF
# Center Cursor 1 in the high of the waveform just to the left of the center
# graticule line.
 11.018  WAIT         -t 2 DUT Stabilizing...
 11.019  IEEE2        CURS:WAVE:HPOS1?[I]
 11.020  MATH         FirVal = MEM
 11.021  IEEE2        CURS:WAVE:POS1 30E-12
 11.022  WAIT         [D1000]
 11.023  IEEE2        CURS:WAVE:HPOS1?[I]
 11.024  MATH         SecVal = MEM

 11.025  IF           FirVal > SecVal
 11.026  MATH         Increment = -30E-12
 11.027  ELSE
 11.028  MATH         Increment = 30E-12
 11.029  ENDIF

 11.030  IEEE2        CURS:WAVE:POS1 0
 11.031  MATH         L[2] = 0
 11.032  IEEE2        CURS:WAVE:HPOS1?[I]
 11.033  MATH         MEM = MEM * 1E+3
 11.034  MATH         LastVal = MEM

 11.035  DO
 11.036  MATH         L[2] = L[2] + Increment
 11.037  IEEE2        CURS:WAVE:POS1 [L2]
 11.038  WAIT         [D1000]
 11.039  IEEE2        CURS:WAVE:HPOS1?[I]
 11.040  MATH         MEM = MEM * 1E+3
 11.041  MATH         Loop = (LastVal < MEM)

 11.042  IF           Loop
 11.043  MATH         LastVal = MEM
 11.044  ELSE
 11.045  MATH         L[2] = L[2] - Increment
 11.046  IEEE2        CURS:WAVE:POS1 [L2]
 11.047  ENDIF

 11.048  UNTIL        NOT(Loop)

 11.049  IEEE2        CURS:WAVE:POS2?[I]
 11.050  MATH         MEM = ABS(MEM * 1E+12)
 11.051  EVAL   -e (MEM <= 200) && Triggered : Trigger 1 UI after 1
 12.001  IEEE2        ACQ:STATE ON

 12.002  ELSE
 12.003  EVAL   -e Triggered : Trigger 1 UI after 1

 13.001  ENDIF

 13.002  HEAD         -2
 13.003  HEAD
 13.004  9500         *                                                 S
 13.005  END
