﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
DATE:                  2010-11-29 09:55:59
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       93
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70000/B, MSO 70000
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @AuxTrig
  1.002  MATH         TrigInitCmd = "AUXL 0"; TrigLevelCmd = "AUXL"

  1.003  ELSE

  1.004  IF           @TrigAType
  1.005  MATH         TrigInitCmd = "A SETL"; TrigLevelCmd = "A:LEV"
  1.006  ELSE         # For B trigger.
  1.007  MATH         TrigInitCmd = "B SETL"; TrigLevelCmd = "B:LEV"
  1.008  ENDIF

  1.009  ENDIF

  1.010  IEEE2        TRIG:[V TrigInitCmd]
  1.011  WAIT         -t 3 DUT Settling...
  1.012  IEEE2        TRIG:STATE?[I$]

  1.013  IF           FIND(MEM2, "TRIG", 1) == 0
  1.014  MATH         PeakVal = @Vsour / 1E+3
  1.015  MATH         StepInc = PeakVal / 20
  1.016  MATH         PosPeak = PeakVal / 2 + StepInc
  1.017  MATH         NegPeak = 0 - PeakVal / 2

  1.018  DO
  1.019  MATH         PosPeak = PosPeak - StepInc
  1.020  IEEE2        TRIG:[V TrigLevelCmd] [V PosPeak]
  1.021  WAIT         -t 3 DUT Settling...
  1.022  IEEE2        TRIG:STATE?[I$]

  1.023  IF           FIND(MEM2, "TRIG", 1) > 0
  1.024  MATH         @Triggered = 1
  1.025  ELSE
  1.026  MATH         @Triggered = 0
  1.027  ENDIF

  1.028  UNTIL        @Triggered || (PosPeak < NegPeak)

  1.029  ELSE
  1.030  MATH         @Triggered = 1
  1.031  ENDIF

  1.032  END



